UPDATEDD(1)

NAME
updatedd - client to update dynamic domain name records

SYNOPSIS
updatedd [OPTION]... SERVICE -- ...

DESCRIPTION
Updatedd is a program to update the IP address of a dynamic domain name record. The program is divided in one main program (updatedd) and several plugins. For each dynamic dns service exists one plugin.
Notice that you should use updatedd-wrapper instead of running updatedd directly.

There are two kinds of options: upper-case letters, which apply to the main program, and lower-case letters, which are passed on to the plugins. This manual only describes the options for the updatedd program itself. Type 'updatedd <plugin> -- --help' for information on plugin-specific options.

-L  List supported services (installed plugins) and exit.

-Y  Use syslog instead of stdout.

--help
    Print help and exit.

--version
    Print version information and exit.

Use `updatedd <service> -- --help' to get help for one of the plugins (suported services).

RETURN CODES

0   everything is ok

1   connection errors, communication problems (warnings)

2   invalid username or passord, service errors (fatal errors)

3   wrong usage

AUTHOR
Written by Philipp Benner <mail@philipp-benner.de>.

REPORTING BUGS
Report bugs to <updatedd@philipp-benner.de>.

COPYRIGHT
Copyright (C) 2004 Philipp Benner.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
Look at /usr/share/doc/updatedd for further documentation (distributed by updatedd-doc) and at /usr/share/updatedd for additional scripts.

updatedd-wrapper(1) updatedd-wrapper.conf(5)